import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[日志]分页
   */
  page(form) {
    return HttpKit.post(`/platform/log/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：删除所有[日志]
   */
  delAll(type) {
    return HttpKit.delete(`/platform/log/delAll/${type}`).then(
      res => res.data
    )
  },
  /**
   * 报告前端错误
   */
  reportError(form) {
    return HttpKit.post(`/platform/log/reportForntError`, form).then(
      res => res.data
    )
  }

}
